Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 07-06-2019 11:49:09

ripus
Membre
Inscription : 07-06-2019

Apt-get update ne fonctionne plus

Bonjour,

je sais pas ce que j'ai bidouillé mais je n'ai plus aucune commande qui fonctionne.
par exemple :

apt-get update



me sort cette erreur :

E: Type 'deb' is not known in on line 1 in source list /etc/apt/sources.list



voici le contenu de mon sources.list :


deb http://deb.debian.org/debian stretch main
deb-src http://deb.debian.org/debian stretch main

deb http://deb.debian.org/debian-security/ stretch/updates main
deb-src http://deb.debian.org/debian-security/ stretch/updates main

deb http://deb.debian.org/debian stretch-updates main
deb-src http://deb.debian.org/debian stretch-updates main
 



merci de votre aide big_smile

Hors ligne

#2 07-06-2019 11:57:53

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 4.19.77-1-lts & 5.3.1-arch1-1-ARCH
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Apt-get update ne fonctionne plus

Bonjour,


deb http://deb.debian.org/debian stretch main
 



est bien ta ligne n°1 ?

A tout hasard, fais nous :

cat /etc/apt/sources.list

Hors ligne

#3 07-06-2019 12:08:43

ripus
Membre
Inscription : 07-06-2019

Re : Apt-get update ne fonctionne plus

voici ce que sort la commande :

xxx@serveur ~]$ cat /etc/apt/sources.list
deb http://deb.debian.org/debian stretch main
deb-src http://deb.debian.org/debian stretch main

deb http://deb.debian.org/debian-security/ stretch/updates main
deb-src http://deb.debian.org/debian-security/ stretch/updates main

deb http://deb.debian.org/debian stretch-updates main
deb-src http://deb.debian.org/debian stretch-updates main

Hors ligne

#4 07-06-2019 12:11:19

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 4.19.77-1-lts & 5.3.1-arch1-1-ARCH
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Apt-get update ne fonctionne plus

Ok

Un :

ls /etc/apt/sources.list.d/



pour que je vois ce qu'il y a dans le dossier.

Hors ligne

#5 07-06-2019 12:13:46

ripus
Membre
Inscription : 07-06-2019

Re : Apt-get update ne fonctionne plus

xxx@serveur ~]$ ls /etc/apt/sources.list.d/
fedora-devel.list  fedora.list  fedora-updates.list



voilà ce que m'a répondu la commande :
je précise que je suis sur debian 9

Dernière modification par ripus (07-06-2019 12:14:17)

Hors ligne

#6 07-06-2019 12:15:01

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 4.19.77-1-lts & 5.3.1-arch1-1-ARCH
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Apt-get update ne fonctionne plus

Oups,

c'est quoi fedora ? big_smile

Dernière modification par golgot200 (07-06-2019 12:15:37)

Hors ligne

#7 07-06-2019 12:16:44

ripus
Membre
Inscription : 07-06-2019

Re : Apt-get update ne fonctionne plus

aucune idée big_smile
je me souviens plus avoir mis ça mad

Hors ligne

#8 07-06-2019 12:19:55

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 4.19.77-1-lts & 5.3.1-arch1-1-ARCH
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Apt-get update ne fonctionne plus

Je pense qu'un :


rm -v /etc/apt/sources.list.d/fedora*
 



puis :


apt update
apt dist-upgrade
 



devrait aller.

Hors ligne

#9 07-06-2019 12:23:11

ripus
Membre
Inscription : 07-06-2019

Re : Apt-get update ne fonctionne plus

la commande de suppression est bien passée mais j'ai cette erreur pour :

apt update


xxx@serveur]# apt update
bash: apt: command not found...
 

Hors ligne

#10 07-06-2019 12:26:08

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 4.19.77-1-lts & 5.3.1-arch1-1-ARCH
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Apt-get update ne fonctionne plus

un :

ls -l /usr/bin/apt-get



?

Hors ligne

#11 07-06-2019 12:30:33

ripus
Membre
Inscription : 07-06-2019

Re : Apt-get update ne fonctionne plus

xxx@serveur ~]$ ls -l /usr/bin/apt-get
-rwxr-xr-x. 1 root root 175272 May  6  2011 /usr/bin/apt-get
[saintex@serveur ~]$
 

Hors ligne

#12 07-06-2019 12:31:33

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 4.19.77-1-lts & 5.3.1-arch1-1-ARCH
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Apt-get update ne fonctionne plus

Autant pour moi ... smile


apt-get update
apt-get dist-upgrade
 

Dernière modification par golgot200 (07-06-2019 12:39:02)

Hors ligne

#13 07-06-2019 12:39:34

ripus
Membre
Inscription : 07-06-2019

Re : Apt-get update ne fonctionne plus

toujours la même erreur :

xxx@serveur]# apt-get update
E: Type 'deb' is not known in on line 1 in source list /etc/apt/sources.list

Hors ligne

#14 07-06-2019 12:44:24

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 4.19.77-1-lts & 5.3.1-arch1-1-ARCH
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Apt-get update ne fonctionne plus

Bizarre hmm

Un truc à peu similaire :

https://debian-facile.org/viewtopic.php?id=11497

Hors ligne

#15 07-06-2019 12:49:13

ripus
Membre
Inscription : 07-06-2019

Re : Apt-get update ne fonctionne plus

Moi mon dossier souces.list.d est complètement vide maintenant. C'est normal ?

Hors ligne

#16 07-06-2019 12:49:38

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 4.19.77-1-lts & 5.3.1-arch1-1-ARCH
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Apt-get update ne fonctionne plus

Bizarre hmm

Dans ton dossier /etc/apt/sources.list.d/

tu as quoi d'autres ?

Dernière modification par golgot200 (07-06-2019 12:51:19)

Hors ligne

#17 07-06-2019 12:50:50

ripus
Membre
Inscription : 07-06-2019

Re : Apt-get update ne fonctionne plus

plus rien du coup, le vide

Hors ligne

#18 07-06-2019 12:52:30

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 4.19.77-1-lts & 5.3.1-arch1-1-ARCH
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Apt-get update ne fonctionne plus

Faudrait-il pas se recréer un fichier sources.list à la place de l'ancien ?

Hors ligne

#19 07-06-2019 12:54:24

ripus
Membre
Inscription : 07-06-2019

Re : Apt-get update ne fonctionne plus

comment je fait ça ? je suis neophyte big_smile

Hors ligne

#20 07-06-2019 12:54:40

Debian Alain
Adhérent(e)
Distrib. : stable / ubuntu / testing
Noyau : Linux 5.2.0-3 amd 64
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : Apt-get update ne fonctionne plus

j'ai très peur que le systeme ne soit cassé .

dans le doute , peux tu essayer ceci (pas sûr)

aptitude install --reinstall apt


avec de la chance , çà réinstallera peut être apt


1498812139.jpg Nightwish - Last Ride Of The Day (With Lyrics)
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#21 07-06-2019 12:57:03

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 4.19.77-1-lts & 5.3.1-arch1-1-ARCH
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Apt-get update ne fonctionne plus

ripus a écrit :

Moi mon dossier souces.list.d est complètement vide maintenant. C'est normal ?




mise à part les 3 fichiers fedora que ma commande à effacée, il n'y avait sans doute rien d'autres dedans.

Hors ligne

#22 07-06-2019 12:59:04

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 4.19.77-1-lts & 5.3.1-arch1-1-ARCH
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Apt-get update ne fonctionne plus

ripus a écrit :

comment je fait ça ? je suis neophyte big_smile



Tu es sous quoi, mate, gnome, xfce .... ?

Hors ligne

#23 07-06-2019 12:59:06

ripus
Membre
Inscription : 07-06-2019

Re : Apt-get update ne fonctionne plus

@Alain :

la commande me répond command not found

Hors ligne

#24 07-06-2019 13:00:45

ripus
Membre
Inscription : 07-06-2019

Re : Apt-get update ne fonctionne plus

la je suis connecté via putty sans l'interface
sinon je peux me connecter avec vnc sur l'interface graphique, je croix que c'est xfce

Hors ligne

#25 07-06-2019 13:06:46

Debian Alain
Adhérent(e)
Distrib. : stable / ubuntu / testing
Noyau : Linux 5.2.0-3 amd 64
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : Apt-get update ne fonctionne plus

tu peux peut être essayer ceci ausssi :

aptitude update && dpkg-reconfigure apt



renseignements pris ici .

j'ai peur pour ton systeme ... très peur (cassé ?)
à première vue , la reinstallation de apt semble impossible .

Dernière modification par Debian Alain (07-06-2019 13:19:07)


1498812139.jpg Nightwish - Last Ride Of The Day (With Lyrics)
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

Pied de page des forums